clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
clang::tidy::IncludeInserter Class Reference

`#include <IncludeInserter.h>`

## Public Member Functions
| IncludeInserter (const SourceManager &SourceMgr, const LangOptions &LangOpts, IncludeSorter::IncludeStyle Style)
| ~IncludeInserter ()
std::unique_ptr< PPCallbacks > | CreatePPCallbacks ()
llvm::Optional< FixItHint > | CreateIncludeInsertion (FileID FileID, llvm::StringRef Header, bool IsAngled)

## Friends
class | IncludeInserterCallback

## Detailed Description

Definition at line 47 of file IncludeInserter.h.

## Constructor & Destructor Documentation

clang::tidy::IncludeInserter::IncludeInserter | ( | const SourceManager & | SourceMgr,
|  | const LangOptions & | LangOpts,
|  | IncludeSorter::IncludeStyle | Style
| ) |  |

Definition at line 36 of file IncludeInserter.cpp.

clang::tidy::IncludeInserter::~IncludeInserter | ( |  | ) |

Definition at line 41 of file IncludeInserter.cpp.

## Member Function Documentation

llvm::Optional< FixItHint > clang::tidy::IncludeInserter::CreateIncludeInsertion | ( | FileID | FileID,
|  | llvm::StringRef | Header,
|  | bool | IsAngled
| ) |  |

Definition at line 48 of file IncludeInserter.cpp.

std::unique_ptr< PPCallbacks > clang::tidy::IncludeInserter::CreatePPCallbacks | ( |  | ) |

Definition at line 43 of file IncludeInserter.cpp.

## Friends And Related Function Documentation

friend class IncludeInserterCallback
| friend

Definition at line 70 of file IncludeInserter.h.

The documentation for this class was generated from the following files:

- IncludeInserter.h
- IncludeInserter.cpp